<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (version 1.7.0_05) on Sat Feb 01 23:52:36 CET 2014 -->
<title>ISaeule3a</title>
<meta name="date" content="2014-02-01">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ISaeule3a";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../java2/lesson1/exercise3/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ISaeule3a.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../java2/lesson1/exercise3/Saeule3aSG.html" title="class in java2.lesson1.exercise3"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?java2/lesson1/exercise3/ISaeule3a.html" target="_top">Frames</a></li>
<li><a href="ISaeule3a.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">java2.lesson1.exercise3</div>
<h2 title="Interface ISaeule3a" class="title">Interface ISaeule3a</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../java2/lesson1/exercise3/Saeule3aSG.html" title="class in java2.lesson1.exercise3">Saeule3aSG</a>, <a href="../../../java2/lesson1/exercise3/Saeule3aZH.html" title="class in java2.lesson1.exercise3">Saeule3aZH</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">ISaeule3a</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../java2/lesson1/exercise3/ISaeule3a.html#berechneKapitalSteuern(int)">berechneKapitalSteuern</a></strong>(int&nbsp;kapitalS3a)</code>
<div class="block">Berechnung der Kapitalsteuern, wenn das Kapital der S3a ausbezahlt wird.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../java2/lesson1/exercise3/ISaeule3a.html#berechneSteuerErsparnis(int, int, int)">berechneSteuerErsparnis</a></strong>(int&nbsp;steuerbaresEinkommen,
                       int&nbsp;steuerbaresVermoegen,
                       int&nbsp;einzahlungS3a)</code>
<div class="block">Berechnung der Steuerersparnis, wenn in die S3a einbezahlt wird.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="berechneSteuerErsparnis(int, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>berechneSteuerErsparnis</h4>
<pre>int&nbsp;berechneSteuerErsparnis(int&nbsp;steuerbaresEinkommen,
                          int&nbsp;steuerbaresVermoegen,
                          int&nbsp;einzahlungS3a)</pre>
<div class="block">Berechnung der Steuerersparnis, wenn in die S3a einbezahlt wird.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>steuerbaresEinkommen</code> - </dd><dd><code>steuerbaresVermoegen</code> - </dd><dd><code>einzahlungS3a</code> - </dd>
<dt><span class="strong">Returns:</span></dt><dd>Steuerersparnis</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>KeinAbzugMoeglichAusnahme</code></dd></dl>
</li>
</ul>
<a name="berechneKapitalSteuern(int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>berechneKapitalSteuern</h4>
<pre>int&nbsp;berechneKapitalSteuern(int&nbsp;kapitalS3a)</pre>
<div class="block">Berechnung der Kapitalsteuern, wenn das Kapital der S3a ausbezahlt wird.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>kapitalS3a</code> - </dd>
<dt><span class="strong">Returns:</span></dt><dd>Kapitalsteuern</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>KeineAuszahlungMoeglichAusnahme</code></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../java2/lesson1/exercise3/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ISaeule3a.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../java2/lesson1/exercise3/Saeule3aSG.html" title="class in java2.lesson1.exercise3"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?java2/lesson1/exercise3/ISaeule3a.html" target="_top">Frames</a></li>
<li><a href="ISaeule3a.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
